<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/BaseBuilding/Scripts/4_world/dayzexpansion_basebuilding/classes/useractionscomponent/actions/continuous/expansionactioncracksafe.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d1/de9/a08866_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionactioncracksafe.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d1/de9/a08866.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionActionCrackSafe.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. </span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../dc/d12/a03634.html">   13</a></span><span class="keyword">class </span><a class="code hl_class" href="../../dc/d12/a03634.html">ExpansionActionCrackSafe</a> : <a class="code hl_class" href="../../d6/de6/a03666.html">ExpansionActionDestroyBase</a></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../dc/d12/a03634.html#a8d66b3f0bb492187c1b6fc6eb2041b23">   15</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/d12/a03634.html#a8d66b3f0bb492187c1b6fc6eb2041b23">Setup</a>( <a class="code hl_class" href="../../df/de5/a03966.html">PlayerBase</a> player, <a class="code hl_class" href="../../d1/de3/a04854.html">ActionTarget</a> target, <a class="code hl_class" href="../../d7/d82/a03774.html">ItemBase</a> item )</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    {</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        <a class="code hl_variable" href="../../df/df7/a00731.html#a2d2e872d4a5c7f9c28009b5890ecca76">m_Time</a> = <a class="code hl_function" href="../../d7/d1c/a08737.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().<a class="code hl_function" href="../../d1/d07/a03482.html#af1efd09a45029d622fbbdb9eee9c0c9a">GetRaid</a>().<a class="code hl_variable" href="../../d8/d7b/a03486.html#a6e990c1b17a827bf183ca570df38177e">SafeRaidToolTimeSeconds</a>;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        <a class="code hl_variable" href="../../da/d20/a01160.html#add986a8b0d3f724b01921fec4db98151">m_Cycles</a> = <a class="code hl_function" href="../../d7/d1c/a08737.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().<a class="code hl_function" href="../../d1/d07/a03482.html#af1efd09a45029d622fbbdb9eee9c0c9a">GetRaid</a>().<a class="code hl_variable" href="../../d8/d7b/a03486.html#a64df25132f83748641937b70b2c6891f">SafeRaidToolCycles</a>;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        <a class="code hl_variable" href="../../da/d20/a01160.html#a5d58fa44f06a47200f78a92dedcb5efd">m_MinHealth01</a> = 0.01;  <span class="comment">//! 1% health</span></div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        <a class="code hl_variable" href="../../da/d20/a01160.html#a51b79bdc2b37130cb81f4e4dece7bcc8">m_ToolDamagePercent</a> = <a class="code hl_function" href="../../d7/d1c/a08737.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().<a class="code hl_function" href="../../d1/d07/a03482.html#af1efd09a45029d622fbbdb9eee9c0c9a">GetRaid</a>().<a class="code hl_variable" href="../../d8/d7b/a03486.html#abce4c8d79c9e4e2a870dfdd92eee5993">SafeRaidToolDamagePercent</a>;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    }</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span> </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../dc/d12/a03634.html#a07eda6883b9162ea7ce9bc3e970b902f">   23</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../dc/d12/a03634.html#a07eda6883b9162ea7ce9bc3e970b902f">GetText</a>()</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    {</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;#STR_EXPANSION_UA_CRACK_SAFE&quot;</span>;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    }</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span> </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="../../dc/d12/a03634.html#a702e173325ce8e46962ebc6a4e21da70">   28</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../dc/d12/a03634.html#a702e173325ce8e46962ebc6a4e21da70">DestroyCondition</a>( <a class="code hl_class" href="../../df/de5/a03966.html">PlayerBase</a> player, <a class="code hl_class" href="../../d1/de3/a04854.html">ActionTarget</a> target, <a class="code hl_class" href="../../d7/d82/a03774.html">ItemBase</a> item, <span class="keywordtype">bool</span> camera_check )</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    {</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        <span class="keywordflow">if</span> ( !super.DestroyCondition( player, target, item, camera_check ) )</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span> </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        <a class="code hl_class" href="../../d1/d98/a00407.html#d4/d72/a03886">ExpansionSafeBase</a> safe = <a class="code hl_class" href="../../d1/d98/a00407.html#d4/d72/a03886">ExpansionSafeBase</a>.Cast( target.GetObject() );</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span> </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        <span class="keywordflow">if</span> ( !safe || !safe.ExpansionIsLocked() )</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span> </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../d7/d1c/a08737.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().GetRaid().SafeRaidTools.Find( item.GetType() ) == -1 )</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span> </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    }</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span> </div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno"><a class="line" href="../../dc/d12/a03634.html#a5e3184d62c861580cc9f07ebbf385e12">   44</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../dc/d12/a03634.html#a5e3184d62c861580cc9f07ebbf385e12">CanBeDestroyed</a>( Object targetObject )</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    {</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        <span class="keywordflow">return</span> <a class="code hl_function" href="../../d7/d1c/a08737.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().<a class="code hl_function" href="../../d1/d07/a03482.html#af1efd09a45029d622fbbdb9eee9c0c9a">GetRaid</a>().<a class="code hl_variable" href="../../d8/d7b/a03486.html#a6b6b26cbdd055f7510a072fcb9f243c7">CanRaidSafes</a>;</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    }</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>}</div>
<div class="ttc" id="aa00407_html_d4/d72/a03886"><div class="ttname"><a href="../../d1/d98/a00407.html#d4/d72/a03886">ExpansionSafeBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d00/a00401_source.html#l00016">expansionsafe01.c:17</a></div></div>
<div class="ttc" id="aa00731_html_a2d2e872d4a5c7f9c28009b5890ecca76"><div class="ttname"><a href="../../df/df7/a00731.html#a2d2e872d4a5c7f9c28009b5890ecca76">m_Time</a></div><div class="ttdeci">protected float m_Time</div><div class="ttdef"><b>Definition:</b> <a href="../../df/df7/a00731_source.html#l00137">expansionnotificationsystem.c:137</a></div></div>
<div class="ttc" id="aa01160_html_a51b79bdc2b37130cb81f4e4dece7bcc8"><div class="ttname"><a href="../../da/d20/a01160.html#a51b79bdc2b37130cb81f4e4dece7bcc8">m_ToolDamagePercent</a></div><div class="ttdeci">float m_ToolDamagePercent</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d20/a01160_source.html#l00048">expansionactiontoolbase.c:48</a></div></div>
<div class="ttc" id="aa01160_html_a5d58fa44f06a47200f78a92dedcb5efd"><div class="ttname"><a href="../../da/d20/a01160.html#a5d58fa44f06a47200f78a92dedcb5efd">m_MinHealth01</a></div><div class="ttdeci">float m_MinHealth01</div><div class="ttdoc">If tool damage is 100% and the tool does not consume energy, it WILL be ruined no matter what when th...</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d20/a01160_source.html#l00049">expansionactiontoolbase.c:49</a></div></div>
<div class="ttc" id="aa01160_html_add986a8b0d3f724b01921fec4db98151"><div class="ttname"><a href="../../da/d20/a01160.html#add986a8b0d3f724b01921fec4db98151">m_Cycles</a></div><div class="ttdeci">int m_Cycles</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d20/a01160_source.html#l00045">expansionactiontoolbase.c:45</a></div></div>
<div class="ttc" id="aa03482_html_af1efd09a45029d622fbbdb9eee9c0c9a"><div class="ttname"><a href="../../d1/d07/a03482.html#af1efd09a45029d622fbbdb9eee9c0c9a">ExpansionSettings::GetRaid</a></div><div class="ttdeci">ExpansionRaidSettings GetRaid(bool checkLoaded=true)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d71/a08728_source.html#l00069">expansionsettings.c:69</a></div></div>
<div class="ttc" id="aa03486_html_a64df25132f83748641937b70b2c6891f"><div class="ttname"><a href="../../d8/d7b/a03486.html#a64df25132f83748641937b70b2c6891f">ExpansionRaidSettingsBase::SafeRaidToolCycles</a></div><div class="ttdeci">int SafeRaidToolCycles</div><div class="ttdoc">Time needed to raid safe with tool.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d41/a00038_source.html#l00028">expansionraidsettings.c:28</a></div></div>
<div class="ttc" id="aa03486_html_a6b6b26cbdd055f7510a072fcb9f243c7"><div class="ttname"><a href="../../d8/d7b/a03486.html#a6b6b26cbdd055f7510a072fcb9f243c7">ExpansionRaidSettingsBase::CanRaidSafes</a></div><div class="ttdeci">bool CanRaidSafes</div><div class="ttdoc">Damage multiplier from projectiles.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d41/a00038_source.html#l00023">expansionraidsettings.c:23</a></div></div>
<div class="ttc" id="aa03486_html_a6e990c1b17a827bf183ca570df38177e"><div class="ttname"><a href="../../d8/d7b/a03486.html#a6e990c1b17a827bf183ca570df38177e">ExpansionRaidSettingsBase::SafeRaidToolTimeSeconds</a></div><div class="ttdeci">int SafeRaidToolTimeSeconds</div><div class="ttdoc">List of tools allowed for raiding safes.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d41/a00038_source.html#l00027">expansionraidsettings.c:27</a></div></div>
<div class="ttc" id="aa03486_html_abce4c8d79c9e4e2a870dfdd92eee5993"><div class="ttname"><a href="../../d8/d7b/a03486.html#abce4c8d79c9e4e2a870dfdd92eee5993">ExpansionRaidSettingsBase::SafeRaidToolDamagePercent</a></div><div class="ttdeci">float SafeRaidToolDamagePercent</div><div class="ttdoc">Number of cycles needed to raid safe.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d41/a00038_source.html#l00029">expansionraidsettings.c:29</a></div></div>
<div class="ttc" id="aa03634_html"><div class="ttname"><a href="../../dc/d12/a03634.html">ExpansionActionCrackSafe</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/de9/a08866_source.html#l00013">expansionactioncracksafe.c:14</a></div></div>
<div class="ttc" id="aa03634_html_a07eda6883b9162ea7ce9bc3e970b902f"><div class="ttname"><a href="../../dc/d12/a03634.html#a07eda6883b9162ea7ce9bc3e970b902f">ExpansionActionCrackSafe::GetText</a></div><div class="ttdeci">override string GetText()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/de9/a08866_source.html#l00023">expansionactioncracksafe.c:23</a></div></div>
<div class="ttc" id="aa03634_html_a5e3184d62c861580cc9f07ebbf385e12"><div class="ttname"><a href="../../dc/d12/a03634.html#a5e3184d62c861580cc9f07ebbf385e12">ExpansionActionCrackSafe::CanBeDestroyed</a></div><div class="ttdeci">override bool CanBeDestroyed(Object targetObject)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/de9/a08866_source.html#l00044">expansionactioncracksafe.c:44</a></div></div>
<div class="ttc" id="aa03634_html_a702e173325ce8e46962ebc6a4e21da70"><div class="ttname"><a href="../../dc/d12/a03634.html#a702e173325ce8e46962ebc6a4e21da70">ExpansionActionCrackSafe::DestroyCondition</a></div><div class="ttdeci">override bool DestroyCondition(PlayerBase player, ActionTarget target, ItemBase item, bool camera_check)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/de9/a08866_source.html#l00028">expansionactioncracksafe.c:28</a></div></div>
<div class="ttc" id="aa03634_html_a8d66b3f0bb492187c1b6fc6eb2041b23"><div class="ttname"><a href="../../dc/d12/a03634.html#a8d66b3f0bb492187c1b6fc6eb2041b23">ExpansionActionCrackSafe::Setup</a></div><div class="ttdeci">override void Setup(PlayerBase player, ActionTarget target, ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/de9/a08866_source.html#l00015">expansionactioncracksafe.c:15</a></div></div>
<div class="ttc" id="aa03666_html"><div class="ttname"><a href="../../d6/de6/a03666.html">ExpansionActionDestroyBase</a></div><div class="ttdoc">Provides base classes for other &quot;destroy&quot;-type actions (e.g. for raiding). The item to be destroyed i...</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/df1/a00206_source.html#l00030">expansionactiondestroybase.c:31</a></div></div>
<div class="ttc" id="aa03774_html"><div class="ttname"><a href="../../d7/d82/a03774.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d7f/a00287_source.html#l00001">expansionbaselights.c:2</a></div></div>
<div class="ttc" id="aa03966_html"><div class="ttname"><a href="../../df/de5/a03966.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d29/a08947_source.html#l00013">playerbase.c:14</a></div></div>
<div class="ttc" id="aa04854_html"><div class="ttname"><a href="../../d1/de3/a04854.html">ActionTarget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d35/a01184_source.html#l00016">actiontargets.c:17</a></div></div>
<div class="ttc" id="aa08737_html_a0a20d14d2f55a927a3b0eab0623f5cf9"><div class="ttname"><a href="../../d7/d1c/a08737.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a></div><div class="ttdeci">static ExpansionSettings GetExpansionSettings()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d1c/a08737_source.html#l00262">expansionsettings.c:262</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_e66306a3976d6d81f5e1305840c1314d.html">BaseBuilding</a></li><li class="navelem"><a class="el" href="../../dir_92106a510097343a3fe1c14124c59151.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_844bf89108e22cf51aae4b5452c2c906.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_a0e24776517e17f620f1adfb86971bb4.html">dayzexpansion_basebuilding</a></li><li class="navelem"><a class="el" href="../../dir_7c54c617c523e91968b06f6c4d40561c.html">classes</a></li><li class="navelem"><a class="el" href="../../dir_c81cc1ad0bcb4f6919dc1b9d5f9d5d05.html">useractionscomponent</a></li><li class="navelem"><a class="el" href="../../dir_60d28b9c29e7916a419493eda4bdadab.html">actions</a></li><li class="navelem"><a class="el" href="../../dir_dea99779acbc8a5a409ad43fc49953ad.html">continuous</a></li><li class="navelem"><a class="el" href="../../d1/de9/a08866.html">expansionactioncracksafe.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
